<title>Add Equipment</title><?php
	/* Copyright (c) 2009 Michael Brown.  All rights reserved */
/* Mike Brown's Asset Tracking System
   Copyright (C) 2009  Michael Brown

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>*/
	session_start();
	if ($_SESSION['loggedIn'] == TRUE)
	{
		//Pulling Variables form the form
		$districtId = $_POST['districtID']; //District Tag
		$serialID = $_POST['serialID']; //Manufacturer's Serial Tag
		$itemName = $_POST['itemName']; //Item Description
		$type = $_POST['type']; //Type of Equipment
		$other = $_POST['other']; //If Type of Equipment is set to 'other'
		$model = $_POST['model']; //Manufacturer
		$month = $_POST['month']; //Month of Purchase
		$day = $_POST['day']; //Day of Purchase
		$year = $_POST['year']; //Year of Purcahse
		$dateofPurchase = "$month / $day / $year";
		$grant = $_POST['grant']; //what grant it came from to purchase this
		$building = $_POST['building']; //District Building
		$room = $_POST['room'];  //District Building Room
		$status = $_POST['status']; //Current Status
		$specs = $_POST['specs'];
		$workedOn = $_POST['workedOn']; //Whether or not the system has been worked on before
		$surplus = $_POST['surplus'];
		$errorMessage = "";
				
		echo "<title>Add Equipment Asset Summary</title	>";
		$username = $_SESSION['username'];
		echo "User Logged In: $username";
		echo "<br /><a href='./index.php'>Main Admin</a> >> <a href='./addassets.php'>Add Assets</a> >> Equipment Add Summary";
		echo "<br />";
		
		if ($districtId == "" || !is_numeric($districtId))
		{
			$errorMessage .= "-Please enter a District Tag Number that is all numbers<br />";
		}//end of if ($serialId == "")
		
		if ($serialID == "")
		{
			$errorMessage .= "-Please enter a Serial Number<br />";
		}//end of if ($serialId == "")
		
		if ($itemName == "")
		{
			$errorMessage .= "Please enter an item name";
		}//end of if ($itemName == "")
		
		if ($type == "Other")
		{
			if ($other == "")
			{
				$errorMessage .= "<br />-Please enter a type since you picked other";
			}//end of if ($other == "")
		}//end of if ($type == "Other")
		
		if ($month == "" || $month < 1 || $month > 12)
		{
			$errorMessage .= "<br />-Please enter a month (1-12)";
		}//end of if ($month == "" || $month < 1 || $month > 12)
		
		if ($day == "" || $day < 1 || $day > 31)
		{
			$errorMessage .= "<br />-Please enter a day";
		}//end of if ($day == "" || $day < 1 || $day > 31)
		
		if ($year == "" || strlen($year) != 4 || !is_numeric($year) )
		{
			$errorMessage .= "<br />-Please enter a year and make sure it is 4 numbers";
		}//end of if ($year == "" || strlen($year) != 4 || !is_numeric($year) )
		
		if ($room == "" || !is_numeric($room) || strlen($room) > 3)
		{
			$errorMessage .= "<br />-Please enter a room number";
		}//end of if ($room == "" || !is_numeric($room || strlen($room) > 3)
		
		/*if ($workedOn == "" && $uploaded != "")
		{
			$errorMessage .= "<br />If you want to upload a document please check that it has been worked on";
		}
		
		if ($uploaded == "" && $workedOn != "")
		{
			$errorMessage .= "<br />Please select a file";
		}*/
		
		
		
		//including the database connection script
		include ("../includes/connect.php");
		
		
		//Verifying the Serial and District IDs have been entered into the system before
		$query = "SELECT * FROM equipment WHERE DistrictTag = '$districtId' OR SerialNumber = '$serialID'";
		$result = mysql_query($query) or die (mysql_error());
		$numrows = mysql_num_rows($result);

		if ($numrows != 0 )
		{
			$errorMessage .= "-<br />The Serial Number or District Number that you entered, has already been entered into the system, if you feel this is in error please do a search and look at the information already in the database";
		}

		if ($workedOn == "")
		{
			$workedOn = "No";
		}
		
		if ($surplus == "")
		{
			$surplus = "No";
		}
		if ($other == "")
		{
			$other = "N/A";
		}
		
		if ($grant == "")
		{
			$grant = "N/A";
		}
		
		if (!$errorMessage)
		{	
			//including the insert script for equipment
			include ("../includes/addequipment.php");
			
			//showing you what was entered
			echo "<strong>District ID:</strong> " . $districtId . "<br />";
			echo "<strong>Serial Number:</strong> " . $serialID . "<br />";
			echo "<strong>Item Name:</strong> " . $itemName . "<br />";
			echo "<strong>Type:</strong> " . $type . "<br />";
			echo "<strong>Other:</strong> " . $other . "<br />";
			echo "<strong>Model:</strong> " . $model . "<br />";
			echo "<strong>Date of Purchase:</strong> " . $dateofPurchase . "<br />";
			echo "<strong>Grant:</strong> " . $grant . "<br />";
			echo "<strong>Building:</strong> " . $building . "<br />";
			echo "<strong>Room:</strong> " . $room . "<br />";
			echo "<strong>Status:</strong> " . $status . "<br />";
			echo "<strong>Specifications:</strong> " . $specs . "<br />";
			echo "<strong>Worked On:</strong> " . $workedOn . "<br />";
			echo "<strong>Surplus:</strong> " . $surplus . "<br />";
				
			
			//meta refresh
		}
		
		else
		{
			echo "<br />";
			echo "<strong>Error Messages</strong><br />";
			echo "$errorMessage";
			
			echo "<style type='text/css'>
<!--
.style1 {
	color: #0000FF;
	font-weight: bold;
}
.style2 {color: #0000FF}
.style3 {font-size: 12px}
-->
</style>
 ";
			
			echo "<table width='100%' border='1'>
  <tr>
    <td width='50%' valign='top'><form id='equipment' name='equipment' method='post' action='equipmentAdd.php'>
      <div align='center' >
        <p align='center' class='style1'>Equipment<br />
        <hr width='50%' />
        <p align='left'>
          <label>District ID:
          <input type='text' name='districtID' id='districtID' value='$districtId' />
          </label>
        </p>
        <p align='left'>
          <label>Serial Number:
          <input type='text' name='serialID' id='serialID' value='$serialID' />
          </label>
        </p>
		   <p align='left'>Item Name: 
          <label>
          <input type='text' name='itemName' id='itemName' value='$itemName'>
          </label>
        </p>
        <p align='left'>
          <label>Type:
          <select name='type' id='type'>
            <option value='Desktop'>Desktop</option>
            <option value='Monitor'>Monitor</option>
            <option value='Mouse'>Mouse</option>
            <option value='Projector'>Projector</option>
            <option value='Laptop'>Laptop</option>
            <option value='Router'>Other</option>
			<option value='Switch'>Other</option>
			<option value='Other'>Other</option>
          </select>
          </label>
        </p>
		  <p align='left'>Type 1: 
          <label>
          <input type='text' name='other' id='other' value='$other'>
          </label>
          <span class='style3'>*If you selected other in Type please fill this out</span></p>
        <p align='left'>
          <label>Model:
          <select name='model' id='model'>
            <option value='HP'>HP</option>
            <option value='Compaq'>Compaq</option>
            <option value='Dell'>Dell</option>
            <option value='Gateway'>Gateway</option>
			 <option value='3Com'>3Com</option>
          </select>
          </label>
        </p>
        <p align='left'>
          <label>Date of Purchase:
          <input name='month' type='text' id='month' size='2' maxlength='2' value='$month'/>
          </label>
        / 
        <input name='day' type='text' id='day' size='2' maxlength='2' value='$day' /> 
        / 
        <input name='year' type='text' id='year' size='4' maxlength='4' value='$year' />
        </p>
        <p align='left'>
          <label>Grant:
          <input type='text' name='grant' id='grant' value='$grant' />
          </label>
        </p>
        <p align='left'>
          <label>Building:          </label>
          <label>
          <select name='building' id='building'>
            <option value='Summitview'>Summitview</option>
            <option value='WAMS'>WAMS</option>
            <option value='WASHS' selected='selected'>WASHS</option>
            <option value='Hooverville'>Hooverville</option>
            <option value='Mowery'>Mowery</option>
            <option value='Fairview Ave'>Fairview Ave</option>
            <option value='Clayton Ave'>Clayton Ave</option>
          </select>
          </label>
        </p>
        <p align='left'>
          <label>Room: 
          <input type='text' name='room' id='room'n value='$room' />
          </label>
        </p>
        <p align='left'>
          <label>Status:
          <select name='status' id='status'>
            <option value='In Use' selected='selected'>In Use</option>
            <option value='In for Support'>In for Support</option>
            <option value='End of Life (EOL)'>End of Life (EOL)</option>
          </select>
          </label>
        </p>
		<p align='left'>
          <label>Specifications:<br>
          <textarea name='specs' id='specs' cols='45' rows='5'>"; echo "$specs"; echo "</textarea>
          </label>
        <p align='left'>
          <label>
          Worked On: </label>
          <input type='checkbox' name='workedOn' id='workedOn' />
        </p>
        <p align='left'>Upload File: 
          <input name='uploaded' type='file' />
</p>
        <p align='left'>
        <label>
          <div align='center'>
            <div align='center'>
              <input type='submit' name='submit' id='submit' value='Submit' />
              &nbsp;&nbsp;
              <input type='reset' name='Reset' id='button' value='Reset' />
        </div>
        </label>
    </form>    </td>
    <td width='50%' valign='top'><form id='software' name='software' method='post' action='softwareadd.php'>
      <div align='center' >
        <p class='style1'>Software<br />
        <hr width='50%' />
        <p align='left'>
          <label>Software Title:
          <input type='text' name='softwareTitle' id='softwareTitle' />
          </label>
        </p>
        <p align='left'>
          <label>SKU #:
          <input type='text' name='sku#' id='sku#' />
          </label>
        </p>
        <p align='left'>Building: 
          <select name='building2' id='building2'>
            <option value='Summitview'>Summitview</option>
            <option value='WAMS'>WAMS</option>
            <option value='WASHS' selected='selected'>WASHS</option>
            <option value='Hooverville'>Hooverville</option>
            <option value='Mowery'>Mowery</option>
            <option value='Fairview Ave'>Fairview Ave</option>
            <option value='Clayton Ave'>Clayton Ave</option>
          </select>
        </p>
        <p align='left'>Grant: 
          <label>
          <input type='text' name='grant2' id='grant2' />
          </label>
        </p>
        <p align='left'>&nbsp;</p>
        <div align='center'>
          <input type='submit' name='submit2' id='submit2' value='Submit' />
  &nbsp;&nbsp;
  <input type='reset' name='button' id='button2' value='Reset' />
        </div>
        </div>
    </form> </td>
  </tr>
</table>";
			
		}
		

	}//end of if ($_SESSION['loggedIn'] == TRUE)
	
	else
	{
		header('Location: ../login.php');
	}
?>