<?php
	/* Copyright (c) 2009 Michael Brown.  All rights reserved */
/* Mike Brown's Asset Tracking System
   Copyright (C) 2009  Michael Brown

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>*/	session_start();
	error_reporting(E_ALL | E_STRICT); 
	if (isset($_SESSION['loggedIn']))
	{
		$username = $_SESSION['username'];
		
		//checks to see if it is in maintenance mode
		include ("maintenancecheck.php");
		
		//chesks to make sure it has a valid ip subnet
		include ("./includes/topofpage.php");
		
		if ($maintenancemode == "Yes")
		{
			header( 'Location: maintenance.php' ) ;
		}
		else
		{
			header("Location: ./administration/index.php");
		}
	}
	
	else
	{
		include ("maintenancecheck.php");
		include ("includes/topofpage.php");
?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<meta name="description" content="Your description goes here..." />
<meta name="keywords" content="your,keywords,goes,here" />
<meta name="author" content="Your Name / Design by Andreas Viklund - http://andreasviklund.com/" />
<link rel="stylesheet" type="text/css" href="./css/mainstyle.css" title="1024px style" media="screen,projection" />
<title>WASD Asset Tracking System (ATS) Related Documents</title>
<style type="text/css">
<!--
.style1 {color: #FF0000}
.style5 {	color: #FF0000;
	font-weight: bold;
}
.style4 {font-size: 11px}
-->
</style>
</head>

<body>
<div id="wrap">

<div id="header">
<h1><img src="images/wasdBanner.gif" alt="banner" width="430" height="86" /></h1>
</div>

<div id="content">
<h2>Login</h2>
<p><form name="login" method="post" action="./signin/signinvalidation.php">
<table border="1" width="30%" cellspacing="0" cellpadding="0" align="center">



<tr bgcolor="#f1f1f1">
  <td align="center" colspan="2"><b>SignIn<br />
</b></td></tr>
<tr ><td>User ID</td><td><input type="text" name="username" id="username" /></td></tr>

<tr bgcolor="#f1f1f1"><td >Password</td><td ><input type="password" name="password" /></td></tr>

<tr bgcolor="#f1f1f1"><td align="center" colspan="2">
<?php 
//required php files and function to see the captcha imaages for no bot login
	require_once('./includes/captcha/recaptchalib.php');
	$publickey = "6Lck2wQAAAAAAPVGt95rwxsFq6xXhBVFFReHdKTS"; // you got this from the signup page
	echo recaptcha_get_html($publickey);
 ?>
 &nbsp;</td></tr>
<tr bgcolor="#f1f1f1">
  <td align="center" colspan="2"><input type="submit" value="Signin" /></td>
</tr>
</table>
<div align="center"><b><a href="http://validator.w3.org/check?uri=referer"><img
        src="http://www.w3.org/Icons/valid-xhtml10"
        alt="Valid XHTML 1.0 Transitional" height="31" width="88" /></a></b>
</div>
</form>
<?php }
?>
</p>
<p>&nbsp;</p>
<p>Last Updated: 
<!-- #BeginDate format:fcAm1m -->Wednesday, April 1, 2009  19:10<!-- #EndDate -->
</p>
<p class="box"><strong>Note:</strong> The system  some times might be taken offline because of maintenance or security updates.</p>
</div>

<div id="sidebar">
<h2>Welcome!</h2>
<p>Welcome to the new Asset Tracking System (ATS) for the WASD IT Department.</p>

<h2>Pages:</h2>
<ul>
<li><a href="index.php">Home </a></li>
<li><a href="login.php">Login </a></li>
<li><a href="documents.php">Related Documents</a></li>
<li><a href="./help">Documentation Wiki</a></li>
<li><a href="schedule.php">Schedule Deployment</a></li>
</ul>

<h2>Site news:</h2>
<p><?php include ("./includes/news.php"); ?></p>
<h2>&nbsp;</h2>
</div>

<div id="footer">
<p>
    <a href="http://validator.w3.org/check?uri=referer"><img
        src="http://www.w3.org/Icons/valid-xhtml11"
        alt="Valid XHTML 1.1" height="31" width="88" /></a>
  </p>
<p><a href="contactus.php">Contact us</a> | <a href="policy.php">Privacy policy</a> | <a href="#header">Back to top</a><br />
  &copy; 2006 | Design by <a href="http://andreasviklund.com/">Andreas Viklund</a>
</p>
</div>

</div>
</body>
</html>
